/*  HSYCONET Library for Arduino
    Copyright (C) 2012-2013 Home Systems Consulting S.p.A. - All rights reserved.

    For information, see the Home Systems Consulting web site:
    http://www.homesystemsconsulting.com/
	
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
*/

/*
    This sketch is all the code you need in Arduino to directly use its the pinMode(),
    digitalWrite(), digitalRead(), analogRead() and analogWrite()
    functions from HSYCO's I/O user code, in Java or EVENTS.
    
    In events.txt, if arduino is the I/O server name associated to the Arduino board,
    write the following code to test this sketch, then check HSYCO's log for
    change events on arduino.pin.9 and arduino.pin.a5:
      hsycostart : programtimer tick = repeat 1
      iostart arduino : io arduino.pinmode = "9,output"
      programtimer tick : io arduino.digitalwrite = "9,high", io arduino.analogread = "a5"
      io arduino.pin.9 = 1 : wait = 0.1, io arduino.pin.9 = 0
*/

#include <HSYCONET.h>
#include <Ethernet.h>
#include <SPI.h>

byte mac[] = { 0x90, 0xA2, 0xDA, 0x0D, 0xBB, 0x83 };
IPAddress ip(192, 168, 1, 177);
IPAddress subnet(255, 255, 255, 0);
IPAddress gateway(192, 168, 1, 1);

void setup() {
  Ethernet.begin(mac, ip, gateway, subnet);
  HSYCONET.begin();
}

void loop() {
  HSYCONET.process();
}
